<?php
/* 
################################################################################

  Script Developed by El Dorado Weather @ http://www.eldoradocountyweather.com

################################################################################ 
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
################################################################################ 
*/

if ( isset($_REQUEST['sce']) && strtolower($_REQUEST['sce']) == 'view' ) {
//--self downloader --
   $filenameReal = __FILE__;
   $download_size = filesize($filenameReal);
   header('Pragma: public');
   header('Cache-Control: private');
   header('Cache-Control: no-cache, must-revalidate');
   header("Content-type: text/plain");
   header("Accept-Ranges: bytes");
   header("Content-Length: $download_size");
   header('Connection: close');
   
   readfile($filenameReal);
   exit;
}
require_once("Settings.php");
require_once("common.php");
############################################################################
$TITLE= $SITE['organ'] . "NWS Weather Forecast Discussion Demo";
$showGizmo = true;  // set to false to exclude the gizmo
include("top.php");
############################################################################
?>
</head>
<body>
<?php
############################################################################
include("header.php");
############################################################################
include("menubar.php");
############################################################################
// Enter Default Station & City
$defaultStation = "STO";
$defaultCity = "Sacramento, CA";
############################################################################
?>

<div id="main-copy">

<br/>
  
<div style="font-size: 18px; color: #000000;" align="center">

<div style="border:1px solid #A2A2A2; background-color:#E3E3E3; background:url(/images/silver-gradient-10x85.png) repeat-x; border-radius:5px; -moz-border-radius:5px; -webkit-border-radius:5px; height:85px; width:500px; -moz-box-shadow: 5px 5px 3px #B4B4B4; -webkit-box-shadow: 5px 5px 3px #B4B4B4; -khtml-box-shadow: 5px 5px 3px #B4B4B4; box-shadow: 5px 5px 3px #B4B4B4;" align="center">

<div style=" margin-top:15px; font-size:13px; color#000000;">Select Your Area NWS Weather Forecast Office</div>

<form style="margin-top:15px;" action="/wd-alt/wxdiscussion.php" method="post">
  <select style="font-size:14px;" name="stationLetters">
    <option value="BMX">Alabama, Birmingham</option>
    <option value="HUN">Alabama, Huntsville</option>
    <option value="MOB">Alabama, Mobile </option>
    <option value="AFC">Alaska, Anchorage</option>
    <option value="AFG">Alaska, Fairbanks</option>
    <option value="AJK">Alaska, Juneau</option>
    <option value="FGZ">Arizona, Flagstaff</option>
    <option value="PSR">Arizona, Phoenix</option>
    <option value="TWC">Arizona, Tucson</option>
    <option value="LZK">Arkansas, Little Rock</option>
    <option value="EKA">California, Eureka</option>
    <option value="LOX">California, Los Angeles/Oxnard</option>
    <option value="STO">California, Sacramento</option>
    <option value="SGX">California, San Diego</option>
    <option value="MTR">California, San Francisco Bay Area</option>
    <option value="HNX">California, San Joaquin Valley/Hanford</option>
    <option value="BOU">Colorado, Denver/Boulder</option>
    <option value="GJT">Colorado, Grand Junction</option>
    <option value="PUB">Colorado, Pueblo</option>
    <option value="JAX">Florida, Jacksonville</option>
    <option value="KEY">Florida, Key West</option>
    <option value="MLB">Florida, Melbourne</option>
    <option value="MFL">Florida, Miami</option>
    <option value="TAE">Florida, Tallahassee</option>
    <option value="TBW">Florida, Tampa Bay Ruskin</option>
    <option value="FFC">Georgia, Atlanta/Peachtree</option>
    <option value="HFO">Hawaii, Honolulu</option>
    <option value="BOI">Idaho, Boise</option>
    <option value="PIH">Idaho, Pocatello/Idaho Falls</option>
    <option value="ILX">Illinois, Lincoln</option>
    <option value="LOT">Illinois, Chicago/Romeoville</option>
    <option value="IND">Indiana, Indianapolis</option>
    <option value="IWX">Indiana, Northern Indiana</option>
    <option value="DMX">Iowa, Des Moines</option>
    <option value="DVN">Iowa, Quad Cities</option>
    <option value="DDC">Kansas, Dodge City</option>
    <option value="GLD">Kansas, Goodland</option>
    <option value="TOP">Kansas, Topeka</option>
    <option value="ICT">Kansas, Wichita</option>
    <option value="JKL">Kentucky, Jackson</option>
    <option value="LMK">Kentucky, Louisville</option>
    <option value="PAH">Kentucky, Paducah</option>
    <option value="LCH">Louisiana, Lake Charles</option>
    <option value="LIX">Louisiana, New Orleans/Baton Rouge</option>
    <option value="SHV">Louisiana, Shreveport</option>
    <option value="CAR">Maine, Caribou</option>
    <option value="GYX">Maine, Gray</option>
    <option value="LWX">Maryland, Baltimore/Washington</option>
    <option value="BOX">Massachusetts, Taunton</option>
    <option value="DTX">Michigan, Detroit/Pontiac</option>
    <option value="GRR">Michigan, Grand Rapids</option>
    <option value="MQT">Michigan, Marquette</option>
    <option value="APX">Michigan, Gaylord</option>
    <option value="DLH">Minnesota, Duluth</option>
    <option value="MPX">Minnesota, Twin Cities/Chanhassen</option>
    <option value="JAN">Mississippi, Jackson</option>
    <option value="EAX">Missouri, Kansas City/Pleasant Hill</option>
    <option value="SGF">Missouri, Springfield</option>
    <option value="LSX">Missouri, St. Louis</option>
    <option value="BYZ">Montana, Billings</option>
    <option value="GGW">Montana, Glasgow</option>
    <option value="TFX">Montana, Great Falls</option>
    <option value="MSO">Montana, Missoula</option>
    <option value="GID">Nebraska, Hastings</option>
    <option value="LBF">Nebraska, North Platte</option>
    <option value="OAX">Nebraska, Omaha/Valley</option>
    <option value="LKN">Nevada, Elko</option>
    <option value="VEF">Nevada, Las Vegas</option>
    <option value="REV">Nevada, Reno</option>
    <option value="ABQ">New Mexico, Albuquerque</option>
    <option value="PHI">New Jersey, Philadelphia/Mt Holly</option>
    <option value="ALY">New York, Albany</option>
    <option value="BGM">New York, Binghamton</option>
    <option value="BUF">New York, Buffalo</option>
    <option value="OKX">New York, New York City</option>
    <option value="MHX">North Carolina, Newport/Morehead City</option>
    <option value="RAH">North Carolina, Raleigh/Durham</option>
    <option value="ILM">North Carolina, Wilmington</option>
    <option value="BIS">North Dakota, Bismarck</option>
    <option value="FGF">North Dakota, Grand Forks</option>
    <option value="ILN">Ohio, Wilmington</option>
    <option value="CLE">Ohio, Cleveland</option>
    <option value="OUN">Oklahoma, Norman</option>
    <option value="TSA">Oklahoma, Tulsa</option>
    <option value="MFR">Oregon, Medford</option>
    <option value="PDT">Oregon, Pendleton</option>
    <option value="PQR">Oregon, Portland</option>
    <option value="CTP">Pennsylvania, State College</option>
    <option value="PHI">Pennsylvania, Philadelphia/Mt Holly</option>
    <option value="PBZ">Pennsylvania, Pittsburgh</option>
    <option value="CHS">South Carolina, Charleston</option>
    <option value="CAE">South Carolina, Columbia</option>
    <option value="GSP">South Carolina, Greenville/Spartanburg</option>
    <option value="ABR">South Dakota, Aberdeen</option>
    <option value="UNR">South Dakota, Rapid City</option>
    <option value="FSD">South Dakota, Sioux Falls</option>
    <option value="MRX">Tennessee, Knoxville/Tri-Cities</option>
    <option value="MEG">Tennessee, Memphis</option>
    <option value="OHX">Tennessee, Nashville</option>
    <option value="AMA">Texas, Amarillo</option>
    <option value="EWX">Texas, Austin/San Antonio</option>
    <option value="BRO">Texas, Brownsville</option>
    <option value="CRP">Texas, Corpus Christi</option>
    <option value="FWD">Texas, Dallas/Fort Worth</option>
    <option value="EPZ">Texas, El Paso, TX/Santa Teresa</option>
    <option value="HGX">Texas, Houston/Galveston</option>
    <option value="LUB">Texas, Lubbock</option>
    <option value="MAF">Texas, Midland/Odessa</option>
    <option value="SJT">Texas, San Angelo</option>
    <option value="SLC">Utah, Salt Lake City</option>
    <option value="BTV">Vermont, Burlington</option>
    <option value="LWX">Virginia, Baltimore/Washington DC</option>
    <option value="RNK">Virginia, Blacksburg</option>
    <option value="AKQ">Virginia, Wakefield</option>
    <option value="SEW">Washington, Seattle/Tacoma</option>
    <option value="OTX">Washington, Spokane</option>
    <option value="RLX">West Virginia, Charleston</option>
    <option value="GRB">Wisconsin, Green Bay</option>
    <option value="ARX">Wisconsin, La Crosse</option>
    <option value="MKX">Wisconsin, Milwaukee/Sullivan</option>
    <option value="RIW">Wyoming, Riverton</option>
    <option value="PPG">America Samoa, Pago Pago</option>
    <option value="PQ">Guam, iyan</option>
    <option value="SJU">Puerto Rico, San Juan</option>
<input style="font-size:14px;" type="submit" name="submit" value="Submit">
  </select>
</form> 
</div>
</div> 

<div style="width:636px; padding:30px; font-size:13px; color#000000;" align="left">

<?php

// var_dump($_POST['stationLetters']);

$fullURL = 'https://forecast.weather.gov/product.php?site=NWS&product=AFD&issuedby=' . $_POST["stationLetters"];

if ($_POST["stationLetters"] == "") 
$fullURL = 'https://forecast.weather.gov/product.php?site=NWS&product=AFD&issuedby=' . $defaultStation;

// If Submit is clicked with no text entry, set city to Sacramento, CA
if ($_POST["stationLetters"] == "") 
$forecastOffice = $defaultCity;

// If Submit is clicked with no text entry, set default call letters to STO
if ($_POST["stationLetters"] == "") 
$_POST['stationLetters'] = $defaultStation;


if ($_POST["stationLetters"] == "BMX") 
$forecastOffice = "Birmingham, AL";

elseif ($_POST["stationLetters"] == "HUN") 
$forecastOffice = "Huntsville, AL";

elseif ($_POST["stationLetters"] == "MOB") 
$forecastOffice = "Mobile, AL";

elseif ($_POST["stationLetters"] == "AFC") 
$forecastOffice = "Anchorage, AK";

elseif ($_POST["stationLetters"] == "AFG") 
$forecastOffice = "Fairbanks, AK";

elseif ($_POST["stationLetters"] == "AJK") 
$forecastOffice = "Juneau, AK";

elseif ($_POST["stationLetters"] == "PPG") 
$forecastOffice = "Pago Pago, American Samoa";

elseif ($_POST["stationLetters"] == "FGZ") 
$forecastOffice = "Flagstaff, AZ";

elseif ($_POST["stationLetters"] == "PSR") 
$forecastOffice = "Phoenix, AZ";

elseif ($_POST["stationLetters"] == "TWC") 
$forecastOffice = "Tucson, AZ";

elseif ($_POST["stationLetters"] == "LZK") 
$forecastOffice = "Little Rock, AR";

elseif ($_POST["stationLetters"] == "EKA") 
$forecastOffice = "Eureka, CA";

elseif ($_POST["stationLetters"] == "LOX") 
$forecastOffice = "Los Angeles/Oxnard, CA";

elseif ($_POST["stationLetters"] == "STO") 
$forecastOffice = "Sacramento, CA";

elseif ($_POST["stationLetters"] == "SGX") 
$forecastOffice = "San Diego, CA";

elseif ($_POST["stationLetters"] == "MTR") 
$forecastOffice = "San Francisco Bay Area, CA";

elseif ($_POST["stationLetters"] == "HNX") 
$forecastOffice = "San Joaquin Valley/Hanford, CA";

elseif ($_POST["stationLetters"] == "BOU") 
$forecastOffice = "Denver/Boulder, CO";

elseif ($_POST["stationLetters"] == "GJT") 
$forecastOffice = "Grand Junction, CO";

elseif ($_POST["stationLetters"] == "PUB") 
$forecastOffice = "Pueblo, CO";

elseif ($_POST["stationLetters"] == "JAX") 
$forecastOffice = "Jacksonville, FL";

elseif ($_POST["stationLetters"] == "KEY") 
$forecastOffice = "Key West, FL";

elseif ($_POST["stationLetters"] == "MLB") 
$forecastOffice = "Melbourne, FL";

elseif ($_POST["stationLetters"] == "MFL") 
$forecastOffice = "Miami, FL";

elseif ($_POST["stationLetters"] == "TAE") 
$forecastOffice = "Tallahassee, FL";

elseif ($_POST["stationLetters"] == "TBW") 
$forecastOffice = "Tampa Bay Ruskin, FL";

elseif ($_POST["stationLetters"] == "FFC") 
$forecastOffice = "Atlanta/Peachtree City, GA";

elseif ($_POST["stationLetters"] == "PQ") 
$forecastOffice = "Tiyan, GU";

elseif ($_POST["stationLetters"] == "HFO") 
$forecastOffice = "Honolulu, HI";

elseif ($_POST["stationLetters"] == "BOI") 
$forecastOffice = "Boise, ID";

elseif ($_POST["stationLetters"] == "PIH") 
$forecastOffice = "Pocatello/Idaho Falls, ID";

elseif ($_POST["stationLetters"] == "ILX") 
$forecastOffice = "Lincoln, IL";

elseif ($_POST["stationLetters"] == "LOT") 
$forecastOffice = "Chicago/Romeoville, IL";

elseif ($_POST["stationLetters"] == "IND") 
$forecastOffice = "Indianapolis, IN";

elseif ($_POST["stationLetters"] == "IWX") 
$forecastOffice = "Northern Indiana, IN";

elseif ($_POST["stationLetters"] == "DMX") 
$forecastOffice = "Des Moines, IA";

elseif ($_POST["stationLetters"] == "DVN") 
$forecastOffice = "Quad Cities, IA";

elseif ($_POST["stationLetters"] == "DDC") 
$forecastOffice = "Dodge City, KS";

elseif ($_POST["stationLetters"] == "GLD") 
$forecastOffice = "Goodland, KS";

elseif ($_POST["stationLetters"] == "TOP") 
$forecastOffice = "Topeka, KS";

elseif ($_POST["stationLetters"] == "ICT") 
$forecastOffice = "Wichita, KS";

elseif ($_POST["stationLetters"] == "JKL") 
$forecastOffice = "Jackson, KY";

elseif ($_POST["stationLetters"] == "LMK") 
$forecastOffice = "Louisville, KY";

elseif ($_POST["stationLetters"] == "PAH") 
$forecastOffice = "Paducah, KY";

elseif ($_POST["stationLetters"] == "LCH") 
$forecastOffice = "Lake Charles, LA";

elseif ($_POST["stationLetters"] == "LIX") 
$forecastOffice = "New Orleans/Baton Rouge, LA";

elseif ($_POST["stationLetters"] == "SHV") 
$forecastOffice = "Shreveport, LA";

elseif ($_POST["stationLetters"] == "CAR") 
$forecastOffice = "Caribou, ME";

elseif ($_POST["stationLetters"] == "GYX") 
$forecastOffice = "Gray, ME";

elseif ($_POST["stationLetters"] == "LWX") 
$forecastOffice = "Baltimore, MD/Washington, DC";

elseif ($_POST["stationLetters"] == "BOX") 
$forecastOffice = "Taunton, MA";

elseif ($_POST["stationLetters"] == "DTX") 
$forecastOffice = "Detroit/Pontiac, MI";

elseif ($_POST["stationLetters"] == "GRR") 
$forecastOffice = "Grand Rapids, MI";

elseif ($_POST["stationLetters"] == "MQT") 
$forecastOffice = "Marquette, MI";

elseif ($_POST["stationLetters"] == "APX") 
$forecastOffice = "Gaylord, MI";

elseif ($_POST["stationLetters"] == "DLH") 
$forecastOffice = "Duluth, MN";

elseif ($_POST["stationLetters"] == "MPX") 
$forecastOffice = "Twin Cities/Chanhassen, MN";

elseif ($_POST["stationLetters"] == "JAN") 
$forecastOffice = "Jackson, MS";

elseif ($_POST["stationLetters"] == "EAX") 
$forecastOffice = "Kansas City/Pleasant Hill, MO";

elseif ($_POST["stationLetters"] == "SGF") 
$forecastOffice = "Springfield, MO";

elseif ($_POST["stationLetters"] == "LSX") 
$forecastOffice = "St. Louis, MO";

elseif ($_POST["stationLetters"] == "BYZ") 
$forecastOffice = "Billings, MT";

elseif ($_POST["stationLetters"] == "GGW") 
$forecastOffice = "Glasgow, MT";

elseif ($_POST["stationLetters"] == "TFX") 
$forecastOffice = "Great Falls, MT";

elseif ($_POST["stationLetters"] == "MSO") 
$forecastOffice = "Missoula, MT";

elseif ($_POST["stationLetters"] == "GID") 
$forecastOffice = "Hastings, NE";

elseif ($_POST["stationLetters"] == "LBF") 
$forecastOffice = "North Platte, NE";

elseif ($_POST["stationLetters"] == "OAX") 
$forecastOffice = "Omaha/Valley, NE";

elseif ($_POST["stationLetters"] == "LKN") 
$forecastOffice = "Elko, NV";

elseif ($_POST["stationLetters"] == "VEF") 
$forecastOffice = "Las Vegas, NV";

elseif ($_POST["stationLetters"] == "REV") 
$forecastOffice = "Reno, NV";

elseif ($_POST["stationLetters"] == "ABQ") 
$forecastOffice = "Albuquerque, NM";

elseif ($_POST["stationLetters"] == "PHI") 
$forecastOffice = "Philadelphia/Mt Holly, NJ";

elseif ($_POST["stationLetters"] == "ALY") 
$forecastOffice = "Albany, NY";

elseif ($_POST["stationLetters"] == "BGM") 
$forecastOffice = "Binghamton, NY";

elseif ($_POST["stationLetters"] == "BUF") 
$forecastOffice = "Buffalo, NY";

elseif ($_POST["stationLetters"] == "OKX") 
$forecastOffice = "New York, NY";

elseif ($_POST["stationLetters"] == "MHX") 
$forecastOffice = "Newport/Morehead City, NC";

elseif ($_POST["stationLetters"] == "RAH") 
$forecastOffice = "Raleigh/Durham, NC";

elseif ($_POST["stationLetters"] == "ILM") 
$forecastOffice = "Wilmington, NC";

elseif ($_POST["stationLetters"] == "BIS") 
$forecastOffice = "Bismarck, ND";

elseif ($_POST["stationLetters"] == "FGF") 
$forecastOffice = "Grand Forks, ND";

elseif ($_POST["stationLetters"] == "ILN") 
$forecastOffice = "Wilmington, OH";

elseif ($_POST["stationLetters"] == "CLE") 
$forecastOffice = "Cleveland, OH";

elseif ($_POST["stationLetters"] == "OUN") 
$forecastOffice = "Norman, OK";

elseif ($_POST["stationLetters"] == "TSA") 
$forecastOffice = "Tulsa, OK";

elseif ($_POST["stationLetters"] == "MFR") 
$forecastOffice = "Medford, OR";

elseif ($_POST["stationLetters"] == "PDT") 
$forecastOffice = "Pendleton, OR";

elseif ($_POST["stationLetters"] == "PQR") 
$forecastOffice = "Portland, OR";

elseif ($_POST["stationLetters"] == "CTP") 
$forecastOffice = "State College, PA";

elseif ($_POST["stationLetters"] == "PBZ") 
$forecastOffice = "Pittsburgh, PA";

elseif ($_POST["stationLetters"] == "SJU") 
$forecastOffice = "San Juan, PR";

elseif ($_POST["stationLetters"] == "CHS") 
$forecastOffice = "Charleston, SC";

elseif ($_POST["stationLetters"] == "CAE") 
$forecastOffice = "Columbia, SC";

elseif ($_POST["stationLetters"] == "GSP") 
$forecastOffice = "Greenville/Spartanburg, SC";

elseif ($_POST["stationLetters"] == "ABR") 
$forecastOffice = "Aberdeen, SD";

elseif ($_POST["stationLetters"] == "UNR") 
$forecastOffice = "Rapid City, SD";

elseif ($_POST["stationLetters"] == "FSD") 
$forecastOffice = "Sioux Falls, SD";

elseif ($_POST["stationLetters"] == "MRX") 
$forecastOffice = "Knoxville/Tri-Cities, TN";

elseif ($_POST["stationLetters"] == "MEG") 
$forecastOffice = "Memphis, TN";

elseif ($_POST["stationLetters"] == "OHX") 
$forecastOffice = "Nashville, TN";

elseif ($_POST["stationLetters"] == "AMA") 
$forecastOffice = "Amarillo, TX";

elseif ($_POST["stationLetters"] == "EWX") 
$forecastOffice = "Austin/San Antonio, TX";

elseif ($_POST["stationLetters"] == "BRO") 
$forecastOffice = "Brownsville, TX";

elseif ($_POST["stationLetters"] == "CRP") 
$forecastOffice = "Corpus Christi, TX";

elseif ($_POST["stationLetters"] == "FWD") 
$forecastOffice = "Dallas/Fort Worth, TX";

elseif ($_POST["stationLetters"] == "EPZ") 
$forecastOffice = "El Paso, TX/Santa Teresa NM";

elseif ($_POST["stationLetters"] == "HGX") 
$forecastOffice = "Houston/Galveston, TX";

elseif ($_POST["stationLetters"] == "LUB") 
$forecastOffice = "Lubbock, TX";

elseif ($_POST["stationLetters"] == "MAF") 
$forecastOffice = "Midland/Odessa, TX";

elseif ($_POST["stationLetters"] == "SJT") 
$forecastOffice = "San Angelo, TX";

elseif ($_POST["stationLetters"] == "SLC") 
$forecastOffice = "Salt Lake City, UT";

elseif ($_POST["stationLetters"] == "BTV") 
$forecastOffice = "Burlington, VT";

elseif ($_POST["stationLetters"] == "LWX") 
$forecastOffice = "Baltimore/Washington, VA";

elseif ($_POST["stationLetters"] == "RNK") 
$forecastOffice = "Blacksburg, VA";

elseif ($_POST["stationLetters"] == "AKQ") 
$forecastOffice = "Wakefield, VA";

elseif ($_POST["stationLetters"] == "SEW") 
$forecastOffice = "Seattle/Tacoma, WA";

elseif ($_POST["stationLetters"] == "OTX") 
$forecastOffice = "Spokane, WA";

elseif ($_POST["stationLetters"] == "RLX") 
$forecastOffice = "Charleston, WV";

elseif ($_POST["stationLetters"] == "GRB") 
$forecastOffice = "Green Bay, WI";

elseif ($_POST["stationLetters"] == "ARX") 
$forecastOffice = "La Crosse, WI";

elseif ($_POST["stationLetters"] == "MKX") 
$forecastOffice = "Milwaukee/Sullivan, WI";

elseif ($_POST["stationLetters"] == "CYS") 
$forecastOffice = "Cheyenne, WY";

elseif ($_POST["stationLetters"] == "RIW") 
$forecastOffice = "Riverton, WY";

function curl_exec_follow($ch, &$maxredirect = null) {
  
  // we emulate a browser here since some websites detect
  // us as a bot and don't let us do our job
  $user_agent = "Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.5)".
                " Gecko/20041107 Firefox/1.0";
  curl_setopt($ch, CURLOPT_USERAGENT, $user_agent );

  $mr = $maxredirect === null ? 5 : intval($maxredirect);

  if (filter_var(ini_get(‘open_basedir’), FILTER_VALIDATE_BOOLEAN) === false 
      && filter_var(ini_get(‘safe_mode’), FILTER_VALIDATE_BOOLEAN) === false
  ) {

    curl_setopt($ch, CURLOPT_MAXREDIRS, $mr);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);

  } else {
    
    curl_setopt($ch, CURLOPT_FOLLOWLOCATION, false);

    if ($mr > 0)
    {
      $original_url = curl_getinfo($ch, CURLINFO_EFFECTIVE_URL);
      $newurl = $original_url;
      
      $rch = curl_copy_handle($ch);
      
      curl_setopt($rch, CURLOPT_HEADER, true);
      curl_setopt($rch, CURLOPT_NOBODY, true);
      curl_setopt($rch, CURLOPT_FORBID_REUSE, false);
      do
      {
        curl_setopt($rch, CURLOPT_URL, $newurl);
        $header = curl_exec($rch);
        if (curl_errno($rch)) {
          $code = 0;
        } else {
          $code = curl_getinfo($rch, CURLINFO_HTTP_CODE);
          if ($code == 301 || $code == 302) {
            preg_match('/Location:(.*?)\n/i', $header, $matches);
            $newurl = trim(array_pop($matches));
            
            // if no scheme is present then the new url is a
            // relative path and thus needs some extra care
            if(!preg_match("/^https?:/i", $newurl)){
              $newurl = $original_url . $newurl;
            }   
          } else {
            $code = 0;
          }
        }
      } while ($code && --$mr);
      
      curl_close($rch);
      
      if (!$mr)
      {
        if ($maxredirect === null)
        trigger_error('Too many redirects.', E_USER_WARNING);
        else
        $maxredirect = 0;
        
        return false;
      }
      curl_setopt($ch, CURLOPT_URL, $newurl);
    }
  }
  return curl_exec($ch);
}

$ch = curl_init($fullURL);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$data = curl_exec_follow($ch);
curl_close($ch);

preg_match('|<pre[^>]*>(.*)</pre>|Usi',$data,$matches);
$discussion  = $matches[1];
$discussion = trim($matches[1]);

echo '<div style="font-size:15px; color:#000000; font-weight:900;" align="center">NWS Area Weather Forecast Discussion

<br/> 

<span style="font-size:14px; color:#000000; font-weight:500;">County Warning Area [CWA]:</span><span style="font-size:14px; color:green; font-weight:636;"> ' . $_POST['stationLetters'] . '</span><br/>


<span style="font-size:14px; color:#000000; font-weight:500;">Regional NWS Weather Office: </span><span style="font-size:14px; color:green; font-weight:900;"> ' . $forecastOffice . '</span></div><br/>';

if ($discussion == "") 
  echo '<div style="padding-top:50px; font-size:14px; color:#000000; font-weight:500;" align="center"><b>There Has Been No Weather Discussion Issued</b></div><br/><br/><br/><br/><br/><br/><br/><br/>';
else
{
  echo '<pre style:margin:134px;>';
  echo htmlspecialchars(strip_tags($discussion));
  echo '</pre><br/>';
}

echo '<table style="width:600px;"><tr>
<td style="font-size:10px; color:#000000; font-weight:500;" align="left">
Forecast Discussion from: <a href="https://www.weather.gov/" target="_blank">NOAA-NWS</a>
</td>
<td style="font-size:10px; color:#000000; font-weight:500;" align="right">
Script developed by: <a href="http://www.eldoradocountyweather.com/" target="_blank">El Dorado Weather</a>
</td></tr></table>';

?>
</div> 

<br/><br/><br/><br/><br/><br/><br/><br/><br/><br/><br/><br/><br/>

</div><!-- end main-copy -->

<?php
############################################################################
include("footer.php");
############################################################################
# End of Page
############################################################################
?>
